package com.elitesland.itm.vo;

import com.elitesland.core.base.BaseModel;
import com.elitesland.system.annotation.SysCode;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 功能说明:品牌
 * </p >
 *
 * @author Roman.Zhang
 * @date 2020/7/8
 */
@Data
@ApiModel(value = "ITM_BRAND", description = "品牌")
public class ItmBrandVO extends BaseModel  implements Serializable {

    private static final long serialVersionUID = -7507543161690997969L;
    @ApiModelProperty("品牌代码")
    private String brandCode;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("名称2")
    private String brandName2;

    @ApiModelProperty("简称")
    private String abbrName;

    @ApiModelProperty("品牌状态")
    private String brandStatus;

    @ApiModelProperty("类型 [UDC]COM:BRAND_TYPE")
    @SysCode(sys = "COM",mod = "BRAND_TYPE")
    private String brandType;

    @ApiModelProperty("类型2")
    private String brandType2;

    @ApiModelProperty("类型3")
    private String brandType3;

    @ApiModelProperty("产品组 [UDC]ITM:ITEM_GROUP")
    @SysCode(sys = "ITM",mod = "ITEM_GROUP")
    private String itemGroup;

    @ApiModelProperty("品类")
    private String itemCate;

    @ApiModelProperty("品牌阶段 [UDC]COM:BRAND_PHASE")
    private String brandPhase;

    @ApiModelProperty("品牌层级 [UDC]COM:BRAND_LEVEL")
    private String brandLevel;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("上级ID")
    private Long pid;

    @ApiModelProperty("路径")
    private String brandPath;

    @ApiModelProperty("代理商")
    private String agency;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("品牌经理")
    private Long managerEmpId;

    private List<ItmBrandVO> children;


}
